package com.template.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.sql.Date;

/**
 * @Author：liuxinyue
 * @Package：com.template.domain
 * @Project：cloud-server
 * @name：MessageTemplate
 * @Date：2024/9/21 12:09
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper=false)
public class MessageTemplate {

    /**
     * 主键
     */
    private Integer messageId;
    /**
     * 车辆VIN码
     */
    private String vinCode;
    /**
     * 时间戳
     */
    private Date timeStamp;
    private String longItude;
    private String latitude;
    private String speedVehicle;
    private String totalMileage;
    private String totalVoltage;
    private String combinedCurrent;
    private String insulationResistance;
    private String gearPosition;
    private String acceleratorPedalTravelValue;
    private String brakePedalTravelValue;
    private String specificFuelConsumption;
    private String motorControllerTemperature;
    private String motorSpeed;
    private String motorTorque;
    private String motorTemperature;
    private String motorVoltage;
    private String motorCurrent;
    private String powerBatteryRemainingSoc;
    private String maximumFeedbackPower;
    private String maximumDischargePower;
    private String bmsSelfCheckCounter;
    private String powerBattery;
    private String totalVoltageLoadSide;
    private String maximumVoltage;
    private String minimumVoltage;
    private String maximumTemperature;
    private String minimumTemperature;
    private String availableCapacity;
    private String vehicleStatus;
    private String chargingState;
    private String operationalStatus;
    private String soc;
    private String energyStorageDevices;
    private String driveMotorCondition;
    private String whetherWorks;
    private String eas;
    private String ptc;
    private String eps;
    private String abs;
    private String mcu;
    private String heatingState;
    private String powerBatteryStatus;
    private String stateBatteryInsulation;
    private String dcdc;
    private String chg;
    private String checkDigit;
    private String cutoffBit;

}
